function [v] = C2(z) 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Matlab M-file                Author: Ricardo Sanfelice
%
% Project: Simulation of a hybrid system (interconnection)
%
% Name: C2.m
%
% Description: Flow set
%
% Version: 0.4
% Required files: - 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% constants
global  n m;
    %n = # of state components
    %m = # of input components 

% state
x = z(1:n);
x1 = x(1);
x2 = x(2);

%input
u = z(n+1:n+m);
u1 = u(1);
u2 = u(2);
u3 = u(3);

if (x1 <= u1)  % flow condition
    v = 1;  % report flow
else
    v = 0;   % do not report flow
end