function [v] = O1(z) 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Matlab M-file                Author: Ricardo Sanfelice
%
% Project: Simulation of a hybrid system (interconnection)
%
% Name: O1.m
%
% Description: State space
%
% Version: 0.4
% Required files: -
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% constants
global  n m;
    %n = # of state components
    %m = # of input components 

% state
x = z(1:n);
x1 = x(1);
x2 = x(2);

%input
u = z(n+1:n+m);
u1 = u(1);
u2 = u(2);
u3 = u(3);

%if (x1 >= u1)   % state space definition
    v = 1;  % in the state space
%else
%    v = 0;   % not in the state space
%end

