function [v] = O(z) 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Matlab M-file                Author: Ricardo Sanfelice
%
% Project: Simulation of a hybrid system (Dubins model)
%
%
% Name: O.m
%
% Description: State space
%
% Version: 0.4
% Required files: - 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% constants
global  n m;
    %n = # of state components
    %m = # of input components 

% state
x = z(1:n);
x1 = x(1);      %x-position
x2 = x(2);      %y-position
x3 = x(3);      %orientation angle
q = x(4);  

%input
u=z(n+1:n+m);
u1=u(1);

v = 1;

% if (x1 > -1) && (x1 < 1)   % state space definition
%     v = 1;  % in the state space
% else
%     v = 0;   % not in the state space
% end

